"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useIncrementHook = void 0;
var react_1 = require("react");
/**
 * Increment number hook
 */
var useIncrementHook = function (number) {
    var _a = (0, react_1.useState)(number !== null && number !== void 0 ? number : 0), count = _a[0], setCount = _a[1];
    var incrementCount = function () {
        setCount(function (preState) { return preState + 1; });
    };
    return [count, incrementCount];
};
exports.useIncrementHook = useIncrementHook;
